Forum Thread: OpenVPN OpenSSL SSL/TLS Handshake Security Issue

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
Vulnerabilities

See the original Secunia advisory:
OpenVPN OpenSSL SSL/TLS Handshake Security Issue

Secunia OpenVPN OpenSSL SSL/TLS Handshake Security Issue
Secunia Official 12th Jun, 2014 06:07
Ranking: 0
Posts: 0
User Since: -
System Score: -
Location: Copenhagen, DK
OpenVPN has acknowledged a security issue in OpenVPN, which can be exploited by malicious people to disclose potentially sensitive information and manipulate certain data.

For more information see security issue #1 in:
SA58403

The security issue is reported in versions prior to 2.3.4-I002 and 2.3.2-I0005.

RVMaxwellPSI RE: OpenVPN OpenSSL SSL/TLS Handshake Security Issue
Member 12th Jun, 2014 06:07
Score: 0
Posts: 1
User Since: 12th Jun 2014
System Score: N/A
Location: US
Last edited on 12th Jun, 2014 06:07
I have applied the update for OpenVPN 2.x twice now (on 2014-06-11), and yet PSI still tells me that the program needs updating.
Was this reply relevant?
+0
-0
darkangel RE: OpenVPN OpenSSL SSL/TLS Handshake Security Issue
Member 21st Jun, 2014 19:04
Score: 0
Posts: 6
User Since: 29th Jan 2008
System Score: N/A
Location: N/A
on 12th Jun, 2014 06:07, RVMaxwellPSI wrote:
I have applied the update for OpenVPN 2.x twice now (on 2014-06-11), and yet PSI still tells me that the program needs updating.

I had the same issue, and it was due to PSI downloading the 32-bit version instead of the 64-bit version.

You can find the correct executable here: http://swupdate.openvpn.org/community/releases/ (openvpn-install-2.3.4-I002-x86_64.exe)
Was this reply relevant?
+0
-0